Package com.pixelmed.convert

# Class NRRDHeader

java.lang.Object
com.pixelmed.convert.NRRDHeader

public class NRRDHeader extends Object

A class for extracting NRRD image input format headers.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`byte_offset_of_binary`
`Map<String,String>`
`fields`
`Map<String,String>`
`keys`
`String`
`magic`

## Constructor Summary

Constructors
Constructor
Description
`NRRDHeader(File inputFile)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getArrayOfIntegerValueOrThrowException(String key)`
`String`
`getDataFile()`
`int`
`getDimension()`
`int`
`getSingleIntegerValueOrThrowException(String key)`
`int[]`
`getSizes()`
`String`
`getSpace()`
`static String[]`
`getSpaceDelimitedValues(String values)`
`String[]`
`getSpaceDirections()`
`String[]`
`getSpaceOrigin()`
`com.pixelmed.convert.NRRDHeader.Type`
`getType()`
`static String[]`
`getVectorTripleValuesFromString(String key, String valueString)`
`boolean`
`isDataBigEndian()`
`boolean`
`isDataGZIPEncoded()`
`static void`
`main(String[] arg)`
Read a NRRD image input format files and dump header.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### magic

public String magic

### byte_offset_of_binary

public int byte_offset_of_binary

### fields

public Map<String,String> fields

### keys

public Map<String,String> keys

## Constructor Details

### NRRDHeader

public NRRDHeader(File inputFile) throws IOException, NRRDException

Throws:
  `IOException`
  `NRRDException`

## Method Details

### getSpaceDelimitedValues

public static String[] getSpaceDelimitedValues(String values)

### getType

public com.pixelmed.convert.NRRDHeader.Type getType()

### getSingleIntegerValueOrThrowException

public int getSingleIntegerValueOrThrowException(String key) throws NRRDException, NumberFormatException

Throws:
  `NRRDException`
  `NumberFormatException`

### getArrayOfIntegerValueOrThrowException

public int[] getArrayOfIntegerValueOrThrowException(String key) throws NRRDException, NumberFormatException

Throws:
  `NRRDException`
  `NumberFormatException`

### getVectorTripleValuesFromString

public static String[] getVectorTripleValuesFromString(String key, String valueString) throws NRRDException

Throws:
  `NRRDException`

### getDimension

public int getDimension() throws NRRDException, NumberFormatException

Throws:
  `NRRDException`
  `NumberFormatException`

### getSizes

public int[] getSizes() throws NRRDException, NumberFormatException

Throws:
  `NRRDException`
  `NumberFormatException`

### getSpace

public String getSpace()

### getSpaceDirections

public String[] getSpaceDirections()

### getSpaceOrigin

public String[] getSpaceOrigin() throws NRRDException

Throws:
  `NRRDException`

### isDataBigEndian

public boolean isDataBigEndian()

### isDataGZIPEncoded

public boolean isDataGZIPEncoded()

### getDataFile

public String getDataFile()

### main

public static void main(String[] arg)

Read a NRRD image input format files and dump header.

Parameters:
  `arg` - the inputFile,